package com.fr.design.mainframe.app;

import com.fr.base.io.EncryptIOFileProxy;
import com.tptj.demo.hg.template.encrypt.BaseInterceptor;
import com.tptj.tool.hg.dynamic.agent.source.AccessPoint;
import com.tptj.tool.hg.dynamic.agent.source.Context;
import com.tptj.tool.hg.dynamic.agent.source.Source;
import com.tptj.tool.hg.dynamic.agent.version.ModuleReport;
import com.tptj.tool.hg.dynamic.agent.version.VersionChecker;

import java.io.OutputStream;

/**
 * @author 秃破天际
 * @version 10.0
 * Created by 秃破天际 on 2021/9/11
 * 注入EncryptIOFileProxy#export的切面，在保存模板时，传递密钥信息，以便加密
 **/
@VersionChecker(value = 10020210101l, loader = ModuleReport.class)
@Source(EncryptIOFileProxy.class)
public class SpEncryptIOFileProxy extends Context {

    @AccessPoint
    public boolean export(OutputStream out) throws Exception {
        BaseInterceptor.intercept4Save(getOrigin());
        return false;
    }

}
