package com.fr.design.mainframe.app;

import com.fr.file.FILE;
import com.fr.form.main.Form;
import com.tptj.demo.hg.template.encrypt.BaseInterceptor;
import com.tptj.tool.hg.dynamic.agent.source.AccessPoint;
import com.tptj.tool.hg.dynamic.agent.source.Context;
import com.tptj.tool.hg.dynamic.agent.source.Source;
import com.tptj.tool.hg.dynamic.agent.version.ModuleReport;
import com.tptj.tool.hg.dynamic.agent.version.VersionChecker;

/**
 * @author 秃破天际
 * @version 10.0
 * Created by 秃破天际 on 2021/9/12
 * 注入FormApp#asIOFile 的切面，在打开加密form时，注入密码输入UI交互
 **/
@VersionChecker(value = 10020210101l, loader = ModuleReport.class)
@Source(FormApp.class)
public class SpFormApp extends Context {

    @AccessPoint
    public Form asIOFile(FILE file) {
        BaseInterceptor.intercept4Edit(file);
        return null;
    }

}
