package com.tptj.demo.hg.template.encrypt.ui;

import com.fr.base.io.AttrMark;
import com.fr.base.svg.IconUtils;
import com.fr.design.actions.JTemplateAction;
import com.fr.design.dialog.DialogActionAdapter;
import com.fr.design.dialog.UIDialog;
import com.fr.design.mainframe.DesignerContext;
import com.fr.design.mainframe.JTemplate;
import com.fr.report.fit.FitProvider;

import java.awt.*;
import java.awt.event.ActionEvent;

/**
 * @author 秃破天际
 * @version 10.0
 * Created by 秃破天际 on 2021/9/12
 **/
public class MenuEncryptAction extends JTemplateAction {
    private static final Dimension MEDIUM = new Dimension(300, 120);
    public MenuEncryptAction(JTemplate template) {
        super(template);
        setName("模板加密");
        setSmallIcon(IconUtils.readIcon("com/fr/design/images/buttonicon/icon_lock_enabled.png"));
    }

    @Override
    public void actionPerformed(ActionEvent e) {
        JTemplate jwb = getEditingComponent();
        if ( null == jwb ) {
            return;
        }
        //当前的模板
        FitProvider wbTpl = (FitProvider) jwb.getTarget();
        if( jwb.isJWorkBook() ){
            //如果是cpt
        }else{
            //不是cpt
        }
        SecretPane pane = new SecretPane( (AttrMark) wbTpl );
        UIDialog dialog = pane.showUnsizedWindow(DesignerContext.getDesignerFrame(), new DialogActionAdapter() {
            @Override
            public void doOk() {
                //做某些操作 从 pane中读取相关的交互结果设置到当前的模板中一般是这样
                pane.update();
                jwb.fireTargetModified();
            }
        });
        pane.populate();
        dialog.setSize(MEDIUM);
        dialog.setVisible(true);
    }
}
