package com.tptj.demo.hg.template.encrypt;

import com.fr.design.mainframe.app.SpCptApp;
import com.fr.design.mainframe.app.SpEncryptIOFileProxy;
import com.fr.design.mainframe.app.SpFormApp;
import com.fr.intelli.record.Focus;
import com.fr.plugin.context.PluginContext;
import com.fr.plugin.observer.inner.AbstractPluginLifecycleMonitor;
import com.fr.record.analyzer.EnableMetrics;
import com.tptj.tool.hg.dynamic.agent.base.DynamicAgent;

/**
 * @author 秃破天际
 * @version 10.0
 * Created by 秃破天际 on 2021/9/11
 **/
@EnableMetrics
public class LifeCycle extends AbstractPluginLifecycleMonitor {
    public static final String PLUGIN_ID = "com.tptj.demo.hg.template.encrypt.v10";
    public static final String PLUGIN_NAME = "template encrypt";

    @Override
    @Focus(id = PLUGIN_ID, text = PLUGIN_NAME)
    public void afterRun(PluginContext context) {
        DynamicAgent.getInstance().register(
                new SpEncryptIOFileProxy(),
                new SpCptApp(),
                new SpFormApp());
    }

    @Override
    public void beforeStop(PluginContext context) {
        DynamicAgent.getInstance().reset();
    }
}
