package com.tptj.demo.hg.template.encrypt.ui;

import com.fr.design.fun.impl.AbstractMenuHandler;
import com.fr.design.mainframe.DesignerContext;
import com.fr.design.mainframe.JTemplate;
import com.fr.design.mainframe.toolbar.ToolBarMenuDockPlus;
import com.fr.design.menu.ShortCut;

/**
 * @author 秃破天际
 * @version 10.0
 * Created by 秃破天际 on 2021/9/12
 **/
public class MenuEncryptor extends AbstractMenuHandler {
    private static final int INSERT_POSITION = 2;
    @Override
    public int insertPosition(int i) {
        return INSERT_POSITION;
    }

    @Override
    public boolean insertSeparatorBefore() {
        return true;
    }

    @Override
    public boolean insertSeparatorAfter() {
        return false;
    }

    @Override
    public String category() {
        return TEMPLATE;
    }

    @Override
    public ShortCut shortcut(){
        JTemplate template = DesignerContext.getDesignerFrame().getSelectedJTemplate();
        return shortcut(template);
    }
    @Override
    public ShortCut shortcut(ToolBarMenuDockPlus plus) {
        //往ToolBarMenuDockPlus里塞感觉也很糟.
        if (!(plus instanceof JTemplate)){
            return null;
        }
        return new MenuEncryptAction( (JTemplate)plus );
    }
}
