package com.tptj.demo.hg.template.encrypt.ui;

import com.fr.base.io.AttrMark;
import com.fr.design.dialog.BasicPane;
import com.fr.design.gui.ilable.UILabel;
import com.fr.design.gui.itextfield.UITextField;
import com.fr.design.layout.FRGUIPaneFactory;
import com.fr.design.layout.TableLayout;
import com.fr.design.layout.TableLayoutHelper;

import javax.swing.*;
import java.awt.*;

/**
 * @author 秃破天际
 * @version 10.0
 * Created by 秃破天际 on 2021/9/12
 **/
public class SecretPane extends BasicPane {

    private UITextField w_secret;
    private AttrMark container;
    public SecretPane( AttrMark container ){
        this.container = container;
        w_secret = new UITextField();
        setLayout(FRGUIPaneFactory.createM_BorderLayout());
        JPanel pane = TableLayoutHelper.createTableLayoutPane(
                new Component[][]{
                        {new UILabel("加密密钥:"), w_secret}
                },
                new double[]{TableLayout.PREFERRED},
                new double[]{ TableLayout.PREFERRED,TableLayout.FILL}
        );
        add( pane, BorderLayout.NORTH );
    }

    @Override
    protected String title4PopupWindow() {
        return "设置模板密钥";
    }

    public void populate(){
        SpEncryptAttrMark attr = container.getAttrMark(SpEncryptAttrMark.XML_TAG);
        if( null != attr ){
            w_secret.setText( attr.getSecret() );
        }
    }

    public void update(){
        SpEncryptAttrMark attr = new SpEncryptAttrMark();
        attr.setSecret( w_secret.getText() );
        container.addAttrMark( attr );
    }
}
